Subject: Re: bug#58314: 29.0.50; C-h k with native compilation not conclusive

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Oct 2022 22:45:41 +0300

> From: Jean Louis <[email-masked]>
> Date: Wed, 05 Oct 2022 22:26:20 +0300
> 
> 
> I remember with byte compiling I was never lead to go into byte compiled
> file when I was inspecting commands with C-h k
> 
> With native compilation, I do: C-h k and I get this:
> 
> v n runs the command cf-people-view-notes (found in
> rcd-db-people-mode-map), which is an interactive native-compiled Lisp
> function in
> ‘../eln-cache/29.0.50-44cd31c8/rcd-cf-a9476332-a313d4ff.eln’.
> 
> It is bound to v n.

I cannot reproduce this.  I don't have rcd-cf.el here, of course, but
I tested with "C-h k n" in Help mode, and I see the expected:

  n runs the command help-goto-next-page (found in help-mode-map), which
  is an interactive native-compiled Lisp function in ‘help-mode.el’.

So this is somehow related to your own files.  Maybe it's because how
we store the doc strings or something?  Stefan, any ideas?